ZLAQSP(3f)

NAME
ZLAQSP - a symmetric matrix A using the scaling factors in the vector S

SYNOPSIS

SUBROUTINE ZLAQSP(
    UPLO, N, AP, S, SCOND, AMAX, EQUED )

CHARACTER
    EQUED, UPLO

INTEGER
    N

DOUBLE
    PRECISION AMAX, SCOND

DOUBLE
    PRECISION S( * )

COMPLEX*16
    AP( * )

PURPOSE
ZLAQSP equilibrates a symmetric matrix A using the scaling factors in the vector S.

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies whether the upper or lower triangular part of the symmetric matrix A is stored. = 'U': Upper triangular
    = 'L': Lower triangular

N       (input) INTEGER
    The order of the matrix A. N >= 0.

AP      (input/output) COMPLEX*16 array, dimension (N*(N+1)/2)
    On entry, the upper or lower triangle of the symmetric matrix A, packed columnwise in a linear array. The j-th column of A is stored in the array AP as follows: if UPLO = 'U', AP(i + (j-1)*j/2) = A(i,j) for 1<=i<=j; if UPLO = 'L', AP(i + (j-1)*(2n-j)/2) = A(i,j) for j<=i<=n. On exit, the equilibrated matrix: diag(S) * A * diag(S), in the same storage format as A.

S       (input) DOUBLE PRECISION array, dimension (N)
    The scale factors for A.

SCOND   (input) DOUBLE PRECISION
    Ratio of the smallest S(i) to the largest S(i).

AMAX    (input) DOUBLE PRECISION
    Absolute value of largest matrix entry.

EQUED   (output) CHARACTER*1
    Specifies whether or not equilibration was done. = 'N': No equilibration.
    = 'Y': Equilibration was done, i.e., A has been replaced by diag(S) * A * diag(S).

PARAMETERS
THRESH is a threshold value used to decide if scaling should be done based on the ratio of the scaling factors. If SCOND < THRESH, scaling is done. LARGE and SMALL are threshold values used to decide if scaling should be done based on the absolute size of the largest matrix element. If AMAX > LARGE or AMAX < SMALL, scaling is done.